# Filter Class Reference

List of all members.

## Public Types

enum | filterStatus { off, on, automatic }

## Static Public Member Functions

static FilterElem * | matches (ShowRecordElem *)
static void | readOptions (TDEConfig *config)
static void | saveOptions (TDEConfig *config)

## Static Public Attributes

static FilterList | _filter
static filterStatus | _status

## Private Member Functions

| Filter ()
| ~Filter ()

## Detailed Description

Definition at line 34 of file filter.h.

The documentation for this class was generated from the following files:

- kshowmail/filter.h
- kshowmail/filter.cpp